#
#  Kodbild - Program to code and decode PNG pictures, jpg, jpeg, ogg,
#  mp3, gif, epub, pdf, odt, ods, xcf, svg, txt, mp4, webm, mkv files.
#
#  Copyright (C) 2017 Johann M. Fradin  -  www.kodbild.com
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import variable
from algo_right_line import Algo_right_line


class Algo_decode:

    # Read Key, from left to the right
    def algo_decode(pix, stKey, i_add, stFormat):

        iCount = 0
        i_count_loop = 0

        # has to be the same as in the abc.txt file
        # 100 X 9
        len_loop_time_nine = int(variable.loop) * 9

        while i_count_loop < int(variable.loop):

            # takes key reverse
            if stFormat == "40" or stFormat == "900":

                iSquare = int(stKey[len_loop_time_nine - 3 - iCount: len_loop_time_nine - iCount])
                i_height = int(stKey[len_loop_time_nine - 6 - iCount: len_loop_time_nine - 3 - iCount])
                i_width = int(stKey[len_loop_time_nine - 9 - iCount: len_loop_time_nine - 6 - iCount])

                iCount += 9

            else:

                iSquare = int(stKey[len_loop_time_nine - 4 - iCount: len_loop_time_nine - iCount])
                i_height = int(stKey[len_loop_time_nine - 8 - iCount: len_loop_time_nine - 4 - iCount])
                i_width = int(stKey[len_loop_time_nine - 12 - iCount: len_loop_time_nine - 8 - iCount])

                iCount += 12

            if stFormat == "40" or stFormat == "900":

                # iAdd is for the second code with one pixel more for X and for Y

                Algo_right_line.algo_right_line(pix, i_width + i_add, i_height + i_add, iSquare)

            else:
                # turn a square with 16 pixels

                Algo_right_line.algo_right_line(pix, i_width + 3 + i_add, i_height + 3 + i_add, iSquare - 6)

                Algo_right_line.algo_right_line(pix, i_width + 2 + i_add, i_height + 2 + i_add, iSquare - 4)

                Algo_right_line.algo_right_line(pix, i_width + 1 + i_add, i_height + 1 + i_add, iSquare - 2)

                Algo_right_line.algo_right_line(pix, i_width + i_add, i_height + i_add, iSquare)

            i_count_loop += 1
