#
#  Kodbild - Program to code and decode PNG pictures, jpg, jpeg, ogg,
#  mp3, gif, epub, pdf, odt, ods, xcf, svg, txt, mp4, webm, mkv files.
#
#  Copyright (C) 2017 Johann M. Fradin  -  www.kodbild.com
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

class Algo_left_line():

    def algo_left_line(pix, i_variable_X, i_variable_Y, i_side_square):
        i_counter = 0

        while i_counter < i_side_square - 1:
            # (255, 0, 0)
            color_1 = pix[i_variable_X, i_variable_Y + i_counter]
            color_2 = pix[i_variable_X + i_counter, i_variable_Y + i_side_square - 1]
            color_3 = pix[i_variable_X + i_side_square - 1, i_variable_Y + i_side_square - 1 - i_counter]
            color_4 = pix[i_variable_X + i_side_square - 1 - i_counter, i_variable_Y]

            pix[i_variable_X + i_counter, i_variable_Y + i_side_square - 1] = color_1
            pix[i_variable_X + i_side_square - 1, i_variable_Y + i_side_square - 1 - i_counter] = color_2
            pix[i_variable_X + i_side_square - 1 - i_counter, i_variable_Y] = color_3
            pix[i_variable_X, i_variable_Y + i_counter] = color_4

            i_counter += 1
