#
#  Kodbild - Program to code and decode PNG pictures, jpg, jpeg, ogg,
#  mp3, gif, epub, pdf, odt, ods, xcf, svg, txt, mp4, webm, mkv files.
#
#  Copyright (C) 2017 Johann M. Fradin  -  www.kodbild.com
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import xml.etree.ElementTree as ET
from os import path
import variable
from pathlib import Path


class Xml_extract():

    # Initialize all variables
    def xml_extract(self, i_nummer_friend, name):
        here = Path(__file__).resolve()

        # level up from running script
        path_one_level_up = here.parents[1]

        path_file = path.join(path_one_level_up, 'abc.xml')

        # ET is element tree
        tree = ET.parse(path_file)

        root = tree.getroot()

        # todo find better method to get the name
        variable.current_friend_name = name

        variable.passphrase_seed_1 = root[i_nummer_friend][0].text

        variable.passphrase_seed_2 = root[i_nummer_friend][1].text

        variable.loop = root[i_nummer_friend][2].text

        variable.key_40_1 = root[i_nummer_friend][3].text

        variable.key_40_2 = root[i_nummer_friend][4].text

        variable.key_900_1 = root[i_nummer_friend][5].text

        variable.key_900_2 = root[i_nummer_friend][6].text

        variable.key_1800_1 = root[i_nummer_friend][7].text

        variable.key_1800_2 = root[i_nummer_friend][8].text
