#
#  Kodbild - Program to code and decode PNG pictures, jpg, jpeg, ogg,
#  mp3, gif, epub, pdf, odt, ods, xcf, svg, txt, mp4, webm, mkv files.
#
#  Copyright (C) 2017 Johann M. Fradin  -  www.kodbild.com
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import xml.etree.ElementTree as ET
from pathlib import Path
from os import path


class Xml_set():

    def xml_set(self, name, i_attribut, value):

        here = Path(__file__).resolve()

        # level up from running script
        path_one_level_up = here.parents[1]

        path_file = path.join(path_one_level_up, 'abc.xml')

        tree = ET.parse(path_file)

        root = tree.getroot()

        count = 0

        for child in root:

            text = str(child.attrib)

            if name in text:

                #print(root[count][i_attribut].text)

                root[count][i_attribut].text = value

            count += 1

        tree.write(path_file)
